=================
API Documentation
=================

The scanning API of pyNeighborhood is splitted in two parts:

* NMB Handling - for low level tasks (hosts,workgroups)
* SMB Handling - for high level taks (shares,services)

Note that most functions of this two parts are blocking, e.g. you should
use threading if you call these out of gtk.

.. automodule:: pyneighborhood.nmblookup
   :members:

.. automodule:: pyneighborhood.smbclient
   :members:
